#!/usr/bin/bash

#*********************************************************************************************************
#*   __     __               __     ______                __   __                      _______ _______   *
#*  |  |--.|  |.---.-..----.|  |--.|   __ \.---.-..-----.|  |_|  |--..-----..----.    |       |     __|  *
#*  |  _  ||  ||  _  ||  __||    < |    __/|  _  ||     ||   _|     ||  -__||   _|    |   -   |__     |  *
#*  |_____||__||___._||____||__|__||___|   |___._||__|__||____|__|__||_____||__|      |_______|_______|  *
#* http://www.blackpantheros.eu | http://www.blackpanther.hu - kbarcza[]blackpanther.hu * Charles Barcza *
#*************************************************************************************(c)2002-2019********

################################# P L A S M A - 2018 #####################################################

KRCFG="$(which kreadconfig5)"
CUSTOM_SCRIPT=false
ENABLE_GTKDARK=false
SLAVE_PULSE=true

if [ "$SLAVE_PULSE" = "true" ];then
 if [ ! -f "$HOME/.config/autostart-scripts/pulseaudio_slave.sh" ]; then
    mkdir -p $HOME/.config/autostart-scripts
    cat > $HOME/.config/autostart-scripts/pulseaudio_slave.sh << "EOF"
#!/bin/sh
[ -n "$(pidof pulseaudio 2>/dev/null)" ]&& exit

if [ -f /etc/sysconfig/pulseaudio ]; then
	. /etc/sysconfig/pulseaudio
fi

if [ -n "$PULSE_SERVER_TYPE" -a "$PULSE_SERVER_TYPE" != "none" ]; then

/usr/bin/start-pulseaudio-x11
# sometimes for some reason start-pulseaudio-x11 fails, while pulseaudio --start just works
#sleep 1
PULSEPID=$(pidof pulseaudio)
    if [ ! -n "$PULSEPID" ]; then
	/usr/bin/pulseaudio --start
    fi			
fi

EOF
 fi
 chmod +x "$HOME/.config/autostart-scripts/pulseaudio_slave.sh"
fi

if [ ! -z "$KRCFG" ]; then 
FIRSTRUN=$(kreadconfig5 --group "blackPantherDesktopFiles" --key "FirstRun" --default "true")
if [ "$FIRSTRUN" = "true" ]; then
    # set up gpg-agent-startup
if [ "$CUSTOM_SCRIPT" = "true" ];then
if [ ! -f "$HOME/.config/autostart-scripts/gpg-agent-startup.sh" ]; then
    mkdir -p $HOME/.config/autostart-scripts
    cat > $HOME/.config/autostart-scripts/gpg-agent-startup.sh << "EOF"
#!/bin/sh
    gpg-agent --daemon
EOF
fi

# set up ssh-agent-startup
if [ ! -f "$HOME/.config/autostart-scripts/ssh-agent-startup.sh" ]; then
    mkdir -p $HOME/.config/autostart-scripts
    cat > $HOME/.config/autostart-scripts/ssh-agent-startup.sh << "EOF"
#!/bin/sh
SSH_AGENT=/usr/bin/ssh-agent
## Run ssh-agent only if not already running, and available
    if [ -x "${SSH_AGENT}" ] ; then
	if [ -z "${SSH_AGENT_PID}" ]; then
	    eval "$(${SSH_AGENT} -s)"
	fi
    fi
EOF
fi

# set up ssh-agent-shutdown
if [ ! -f "$HOME/.config/plasma-workspace/shutdown/ssh-agent-shutdown.sh" ]; then
    mkdir -p $HOME/.config/plasma-workspace/shutdown
    cat > $HOME/.config/plasma-workspace/shutdown/ssh-agent-shutdown.sh << "EOF"
#!/bin/sh
if [ -n "${SSH_AGENT_PID}" ]; then
	kill ${SSH_AGENT_PID}
	unset SSH_AGENT_PID SSH_AUTH_SOCK
fi
EOF
fi

# fix missing recent documents
if [ "$RECENT" = "fix" ];then
    if [ ! -f "$HOME/.config/plasma-workspace/env/setup_recentdocuments.sh" ]; then
    mkdir -p $HOME/.config/plasma-workspace/env
    cat > $HOME/.config/plasma-workspace/env/setup_recentdocuments.sh << EOF
#!/bin/sh

if [ ! -L $HOME/.kde4/share/apps/RecentDocuments ] && [ -d $HOME/.kde4/share/apps/RecentDocuments ]; then
    rm -rf $HOME/.kde4/share/apps/RecentDocuments
fi

[ ! -d $HOME/.kde4/share/apps ] && mkdir -p $HOME/.kde4/share/apps
ln -sf $HOME/.local/share/RecentDocuments $HOME/.kde4/share/apps/RecentDocuments
EOF
chmod +x $HOME/.config/plasma-workspace/env/setup_recentdocuments.sh
fi
fi
# CUSTOMSCRIPT END
fi

# enable xscreensaver
if [ ! -f "$HOME"/.config/autostart/xscreensaver.desktop -a -x "$(which xscreensaver 2>/dev/null)" ]; then
mkdir -p "$HOME"/.config/autostart
cat > "$HOME"/.config/autostart/xscreensaver.desktop << EOF
[Desktop Entry]
Name=XScreenSaver
Exec=xscreensaver -nosplash
Icon=xscreensaver
Terminal=False
Type=Application
X-KDE-StartupNotify=False
OnlyShowIn=KDE;
EOF
fi



#(add special icons on DESKTOP
USER_DESKTOP=`xdg-user-dir DESKTOP`

    if [ -z "${USER_DESKTOP}" ]; then
        USER_DESKTOP="$(xdg-user-dir DESKTOP)"
    fi

    if [ ! -d "${USER_DESKTOP}" ]; then
        mkdir -p "${USER_DESKTOP}"
    fi

    if [ ! -e $USER_DESKTOP/calamares.desktop -a -e /usr/share/applications/calamares.desktop ]; then
	cp -f /usr/share/applications/calamares.desktop $USER_DESKTOP 2>/dev/null
	chmod +x $USER_DESKTOP/calamares.desktop ||:
    fi

    if [ ! -e $USER_DESKTOP/discover.desktop -a -e /usr/share/applications/discover.desktop ]; then
	cp -f /usr/share/applications/discover.desktop $USER_DESKTOP 2>/dev/null
	chmod +x $USER_DESKTOP/discover.desktop ||:
    fi

    # TODO: We need to handle default => Default too 
    PROD=`sed 's/.*product=\(.*\)/\L\1/' < /etc/product.id`

    if [ -n "$PROD" -a -d "/usr/share/dist/desktop-files/${PROD}" ]; then  
        cp -f /usr/share/dist/desktop-files/${PROD}/*.desktop "${USER_DESKTOP}" 2>/dev/null
    fi

    if [ -n "$PROD" -a -d "/usr/share/dist/home-files/${PROD}" ]; then  
        cp -rf /usr/share/dist/home-files/${PROD}/* "${HOME}" 2>/dev/null
        cp -rf /usr/share/dist/home-files/${PROD}/.* "${HOME}" 2>/dev/null
    fi

    # Copy the "Trash" icon on the desktop
    cp -f /usr/share/kio_desktop/directory.trash "${USER_DESKTOP}/org.kde.trash.desktop"

kwriteconfig5 --group "blackPantherDesktopFiles" --key "FirstRun" --type "bool" 1

fi

if [ "$ENABLE_GTKDARK" = true ];then
# Custom GTK settings
FONTS=$(kreadconfig5 --group "blackPantherDesktop" --key "fontsConfig" --default "false")

if [ ! "$FONTS" = "true" ]; then
    if [ ! -f "$HOME/.gtkrc-2.0-kde4" -o ! -f "$HOME/.config/plasma-workspace/env/gtk-engines.sh" ]; then
	### GTK theme apply #####
cat > $HOME/.gtkrc-2.0-kde4 << "EOF"
include "/usr/share/themes/Breeze-Dark/gtk-2.0/gtkrc"
style "user-font" 
{
	font_name="FreeSans Medium"
}
widget_class "*" style "user-font"
gtk-font-name="FreeSans Medium 10"
gtk-theme-name="Breeze-Dark"
gtk-icon-theme-name="breeze-dark"
gtk-fallback-icon-theme="breeze"
gtk-cursor-theme-name="ComixCursors-White-Large"
gtk-toolbar-style=GTK_TOOLBAR_ICONS
gtk-menu-images=1
gtk-button-images=1
EOF

mkdir -p $HOME/.config/plasma-workspace/env
cat >$HOME/.config/plasma-workspace/env/gtk-engines.sh <<"EOF"
export GTK2_RC_FILES=$HOME/.gtkrc-2.0-kde4
EOF
    export GTK2_RC_FILES=$HOME/.gtkrc-2.0-kde4
fi
fi

if [ ! -f "$HOME/.config/gtk-3.0/settings.ini" ]; then
    mkdir -p $HOME/.config/gtk-3.0
cat > $HOME/.config/gtk-3.0/settings.ini << "EOF"
[Settings]
gtk-font-name=FreeSans Medium 10
gtk-theme-name=Breeze-Dark
gtk-icon-theme-name=breeze-dark
gtk-fallback-icon-theme=breeze
gtk-cursor-theme-name=ComixCursors-White-Large
gtk-toolbar-style=GTK_TOOLBAR_ICONS
gtk-menu-images=1
gtk-button-images=1
EOF
fi

# GTKDARK END
fi

# firsrun end
    if [ "$FIRSTRUN" = "true" ]; then
        kwriteconfig5 --group "blackPantherDesktopFiles" --key "FirstRun" --type "bool" "false"
    fi
fi

