var panel = new Panel
var panelScreen = panel.screen
var freeEdges = {"bottom": true, "top": true, "left": true, "right": true}
var isHorizontal = false;
var isVertical = false;

for (i = 0; i < panelIds.length; ++i) {
    var tmpPanel = panelById(panelIds[i])
    if (tmpPanel.screen == panelScreen) {
        // Ignore the new panel
        if (tmpPanel.id != panel.id) {
            freeEdges[tmpPanel.location] = false;
        }
    }
}

if (freeEdges["bottom"] == true) {
    panel.location = "bottom";
} else if (freeEdges["top"] == true) {
    panel.location = "top";
} else if (freeEdges["left"] == true) {
    panel.location = "left";
} else if (freeEdges["right"] == true) {
    panel.location = "right";
} else {
    // There is no free edge, so leave the default value
    panel.location = "top";
}

if (panel.location == "top" || panel.location == "bottom") {
    // Horizontal
    isHorizontal = true;
    panel.height = gridUnit * 2
} else {
    // Vertical
    isVertical = true;
    panel.height = gridUnit * 3
}

panel.addWidget("org.kde.plasma.lock_logout")
panel.addWidget("org.kde.plasma.showActivityManager")

//var kicker = panel.addWidget("org.kde.plasma.kicker")
//kicker.currentConfigGroup = ["Shortcuts"]
//kicker.writeConfig("global", "Alt+F1")
//favorites=systemsettings.desktop,org.kde.dolphin.desktop,doublecmd-qt.desktop,preferred://browser,libreoffice-startcenter.desktop,libreoffice-writer.desktop,blackPanther-popcorntimece.desktop,blackPanther-skype.desktop

//Add widgets
var appMenu = panel.addWidget("org.kde.plasma.simplemenu")
appMenu.currentConfigGroup = ["Shortcuts"]
appMenu.writeConfig("global", "Alt+F1")
appMenu.currentConfigGroup = ["General"]
appMenu.writeConfig("appNameFormat","1"),
appMenu.writeConfig("favoritesPortedToKAstats", "true"),
appMenu.writeConfig("favorites", [
    'systemsettings.desktop',
    'org.kde.dolphin.desktop',
    'doublecmd-qt.desktop',
    'preferred://browser',
    'libreoffice-startcenter.desktop',
    'libreoffice-writer.desktop',
    'blackPanther-popcorntimece.desktop',
    'blackPanther-skype.desktop',
].join(','))

//Add widgets
//var appMenu = panel.addWidget("org.kde.plasma.kickerdash")
//Add default shortcut to the kickerdash menu
//var appMenu = panel.addWidget("org.kde.plasma.kickoff")
//appMenu.currentConfigGroup = ["Shortcuts"]
//appMenu.writeConfig("global", "Alt+F1")
//appMenu.currentConfigGroup = ["General"]
//appMenu.writeConfig("favorites", [
//    'systemsettings.desktop',
//    'org.kde.dolphin.desktop',
//    'doublecmd-qt.desktop',
//    'preferred://browser',
//    'libreoffice-startcenter.desktop',
//    'libreoffice-writer.desktop',
//    'blackPanther-popcorntimece.desktop',
//    'blackPanther-skype.desktop',
//].join(','))
    
// for kicker
//favoriteApps=preferred://browser,systemsettings.desktop,org.kde.dolphin.desktop,doublecmd-qt.desktop,gimp.desktop,steam.desktop,libreoffice-startcenter.desktop,libreoffice-writer.desktop,libreoffice-calc.desktop,org.kde.kate.desktop
/* var appMenu = panel.addWidget("org.kde.plasma.kickker")
kicker.currentConfigGroup = ["General"]
kicker.writeConfig("favoriteApps", [
    'preferred://browser',
    'systemsettings.desktop',
    'org.kde.dolphin.desktop',
    'doublecmd-qt.desktop',
    'gimp.desktop',
    'steam.desktop',
    'libreoffice-startcenter.desktop',
    'libreoffice-writer.desktop',
    'libreoffice-calc.desktop',
    'org.kde.kate.desktop',
].join(','))
*/

var pager = panel.addWidget("org.kde.plasma.pager")
pager.currentConfigGroup = ["General"]
pager.writeConfig("showWindowIcons", "true")

var iconDolphin = panel.addWidget("org.kde.plasma.icon")
iconDolphin.writeConfig("url","file:///usr/share/applications/org.kde.dolphin.desktop");

var iconClementine = panel.addWidget("org.kde.plasma.icon")
iconClementine.writeConfig("url","file:///usr/share/applications/clementine-qt5.desktop");

var iconBrowser = panel.addWidget("org.kde.plasma.icon")
iconBrowser.writeConfig("browser", "preferred://browser,firefox.desktop,chrome.desktop,chromium-browser.desktop");

var iconSystemSettings = panel.addWidget("org.kde.plasma.icon")
iconSystemSettings.writeConfig("url","file:///usr/share/applications/systemsettings.desktop");

//panel.addWidget("org.kde.plasma.taskmanager")
//var tasks = panel.addWidget("org.kde.plasma.taskmanager")
//tasks.currentConfigGroup = ["General"]
//tasks.writeConfig("groupingStrategy", "0")
//tasks.writeConfig("maxStripes", "1")
//tasks.writeConfig("showOnlyCurrentActivity", "true")
//tasks.writeConfig("showOnlyCurrentDesktop", "false")
//tasks.writeConfig("sortingStrategy", "1")

/* Next up is determining whether to add the Input Method Panel
 * widget to the panel or not. This is done based on whether
 * the system locale's language id is a member of the following
 * white list of languages which are known to pull in one of
 * our supported IME backends when chosen during installation
 * of common distributions. */

//Spacer
panel.addWidget("org.kde.plasma.panelspacer")
//Clock
var clock = panel.addWidget("org.kde.plasma.digitalclock")
clock.currentConfigGroup = ["Appearance"]
clock.writeConfig("enabledCalendarPlugins", [
    '/usr/lib64/qt5/plugins/plasmacalendarplugins/astronomicalevents.so',
    '/usr/lib64/qt5/plugins/plasmacalendarplugins/holidaysevents.so',
    '/usr/lib64/qt5/plugins/plasmacalendarplugins/pimevents.so',
].join(','))

//Spacer
panel.addWidget("org.kde.plasma.panelspacer")

var langIds = ["as",    // Assamese
               "bn",    // Bengali
               "bo",    // Tibetan
               "brx",   // Bodo
               "doi",   // Dogri
               "gu",    // Gujarati
               "hi",    // Hindi
               "ja",    // Japanese
               "kn",    // Kannada
               "ko",    // Korean
               "kok",   // Konkani
               "ks",    // Kashmiri
               "lep",   // Lepcha
               "mai",   // Maithili
               "ml",    // Malayalam
               "mni",   // Manipuri
               "mr",    // Marathi
               "ne",    // Nepali
               "or",    // Odia
               "pa",    // Punjabi
               "sa",    // Sanskrit
               "sat",   // Santali
               "sd",    // Sindhi
               "si",    // Sinhala
               "ta",    // Tamil
               "te",    // Telugu
               "th",    // Thai
               "ur",    // Urdu
               "vi",    // Vietnamese
               "zh_CN", // Simplified Chinese
               "zh_TW"] // Traditional Chinese

if (langIds.indexOf(languageId) != -1) {
    panel.addWidget("org.kde.plasma.kimpanel");
}

//panel.addWidget("org.kde.plasma.systemtray")
//panel.addWidget("org.kde.plasma.digitalclock")
//panel.addWidget("org.kde.plasma.showdesktop")
//USwitch https://store.kde.org/p/1194339/
var systray = panel.addWidget("org.kde.plasma.systemtray")
systray.currentConfigGroup = ["General"]
systray.writeConfig("extraItems", [
    'org.kde.plasma.weather',
    'org.kde.plasma.notifications',
    'org.kde.plasma.networkmanagement',
    'org.kde.plasma.pkupdates',
    'org.kde.plasma.volume',
    'org.kde.plasma.mediacontroller',
].join(','))
systray.writeConfig("hiddenItems", [
    'org.kde.plasma.networkmanagement',
    'org.kde.redshiftControl',
    'org.kde.plasma.mediacontroller',
    'KTorrent',
].join(','))
//systray.writeConfig("Configuration", [
//    'pressureUnit=5028',
//    'source=bbcukmet|weather|Budapest / Ferihegy, Hungary|6299519',
//    'speedUnit=9002',
//    'temperatureUnit=6001',
//    'updateInterval=30',
//    'visibilityUnit=-1',
//    'weatherServiceProviders=bbcukmet',
//].join(','))


var uswitcher = panel.addWidget("org.kde.plasma.uswitcher")
uswitcher.currentConfigGroup = ["Configuration", "General"]
uswitcher.writeConfig("showName", false)
uswitcher.writeConfig("showSett", true)

var plasma = getApiVersion(1);
var layout = {
    "desktops": [
        {
            "applets": [
            ],
            "config": {
                "/": {
                    "formfactor": "0",
                    "immutability": "1",
                    "lastScreen": "0",
                    "wallpaperplugin": "org.kde.image"
                },
                "/ConfigDialog": {
                    "DialogHeight": "600",
                    "DialogWidth": "800"
                },
                "/General": {
                    "alignment": "1",
                    "arrangement": "1",
                    "positions": "1,9,desktop:/trash.desktop,0,1,desktop:/Home.desktop,0,0",
                    "sortMode": "-1",
                    "showToolbox": "false"
                },

            },
            "wallpaperPlugin": "org.kde.image"
        }
    ],
    "panels": [
        {
            "alignment": "center",
            "applets": [
                {
                    "config": {
                        "/": {
                            "immutability": "1",
                            "pressureUnit": "5022",
                            "source": "bbcukmet|weather|Budapest / Ferihegy, Hungary|6299519",
                            "speedUnit": "9001",
                            "temperatureUnit": "6001",
                            "updateInterval": "30",
                            "visibilityUnit": "2007",
                            "weatherServiceProviders": "bbcukmet"
                        },
                        "/Configuration": {
                            "PreloadWeight": "65"
                        }
                    },
                    "plugin": "org.kde.plasma.weather"
                },
                {
                    "config": {
                        "/": {
                            "immutability": "1"
                        }
                    },
                    "plugin": "org.kde.plasma.icontasks"
                }
            ],
            "config": {
                "/": {
                    "formfactor": "3",
                    "immutability": "1",
                    "lastScreen": "0",
                    "wallpaperplugin": "org.kde.image"
                },
                "/ConfigDialog": {
                    "DialogHeight": "1080",
                    "DialogWidth": "178"
                }
            },
            "height": 3.5,
            "hiding": "autohide",
            "location": "left",
            "maximumLength": 54,
            "minimumLength": 25.7,
            "offset": 0
        },

    ],
    "serializationFormatVersion": "1"
}
;

plasma.loadSerializedLayout(layout);
